#ifndef UTILSECHIQUIER
#define UTILSECHIQUIER
#include <iostream>
#include <iomanip>
using namespace std;

#include "Echiquier.hpp"
namespace UtilsEchiquier {

/**
  Affiche un Echiquier sur nc positions
  @param[in] cb - un Echiquier
  @param[in] nc - nombre de positions
*/
void afficherEchiquier(const Echiquier& cb, unsigned nc)
{
  // Ecrit les valeurs, ligne par ligne
  for (unsigned iy = 0; iy < cb.sizeN(); ++iy)
  {
    for (unsigned ix = 0; ix < cb.sizeN(); ++ix)
    {
      cout<<setw(nc)<<cb.get(ix, iy);
    }
    cout<<endl;
  }
  cout<<endl;
}

}
#endif
