#ifndef UTILSVECTOR_CPP
#define UTILSVECTOR_CPP
#include <iostream>
#include <string>
#include <vector>
using namespace std;

namespace UtilsVector {

/**
  Affiche un vector<T>
  @param[in] v - un vector<T>
  @param[in] separateur - separateur entre elements
*/
template<typename T>
void afficherVector(const vector<T>& v, const string& separateur=" ")
{
  cout<<"[";
  for (unsigned k = 0; k < v.size(); ++k)
  {
    cout<<v[k]<<separateur;
  }
  cout<<"]"<<endl;
}

}
#endif
